// Compile and run using the following command line (tested with GCC 5.4.0):
// g++ -std=c++11 -Wall -Wextra -O3 -march=native -s cvtest.cxx -lopencv_imgcodecs -lopencv_highgui -lopencv_core -o cvtest && ./cvtest
#include <iostream>
#include <chrono>
#include <opencv2/opencv.hpp>

int main()
{
  auto img = cv::imread("picture.jpg");
  std::cout << "Image size: " << img.size() << '\n';
  auto t1 = std::chrono::high_resolution_clock::now();;
  cv::imshow("Great title", img);
  auto t2 = std::chrono::high_resolution_clock::now();;
  std::cout << std::chrono::duration<double>(t2 - t1).count() << " s\n";
  cv::waitKey();
  return 0;
}
